#
# OpenStack Identity (Keystone) WSGI app skeleton
#

import os

from paste import deploy

from keystone import config
from keystone.common import logging


CONF = config.CONF
LOG = logging.getLogger(__name__)
config_files = ['/etc/keystone/keystone.conf']

CONF(config_files=config_files)

config.setup_logging(CONF)

app_name = os.path.basename(__file__).rsplit('.')[0]

if CONF.debug:
    CONF.log_opt_values(logging.getLogger(CONF.prog), logging.DEBUG)

options = deploy.appconfig('config:%s' % CONF.config_file[0])

application = deploy.loadapp('config:%s' % CONF.config_file[0], name=app_name)
